Index: BOOK/patches.ent
===================================================================
--- BOOK/patches.ent	(revision f99d122e9030ea2e777e6ef62c040ba8590299ab)
+++ BOOK/patches.ent	(revision f41fea65f192430273324a615bdd5a63f962cd9f)
@@ -6,94 +6,125 @@
 
 <!ENTITY bash-fixes-patch "bash-&bash-version;-fixes-8.patch">
+<!ENTITY bash-fixes-patch-md5 "bc337045fa4c5839babf0306cc9df6d0">
 <!ENTITY bash-fixes-patch-size "23 KB">
 
 <!ENTITY binutils-posix-patch "binutils-&binutils-version;-posix-1.patch">
+<!ENTITY binutils-posix-patch-md5 "7e42a8edc0c59246bbc58c428256113c">
 <!ENTITY binutils-posix-patch-size "4.9 KB">
 
 <!ENTITY bzip2-docs-patch "bzip2-&bzip2-version;-install_docs-1.patch">
+<!ENTITY bzip2-docs-patch-md5 "9e5dfbf4814b71ef986b872c9af84488">
 <!ENTITY bzip2-docs-patch-size "1.7 KB">
 
 <!ENTITY bzip2-remove_tempfile-patch "bzip2-&bzip2-version;-remove_tempfile-1.patch">
+<!ENTITY bzip2-remove_tempfile-patch-md5 "bcadb0ce282c96af15a86a2ccdac0765">
 <!ENTITY bzip2-remove_tempfile-patch-size "1.8 KB">
 
 <!ENTITY bzip2-bzgrep-patch "bzip2-&bzip2-version;-bzgrep_security-1.patch">
-<!ENTITY bzip2-bzgrep-patch "1.3 KB">
+<!ENTITY bzip2-bzgrep-patch-md5 "4eae50e4fd690498f23d3057dfad7066">
+<!ENTITY bzip2-bzgrep-patch-size "1.3 KB">
 
 <!ENTITY coreutils-suppress-patch "coreutils-&coreutils-version;-suppress_uptime_kill_su-2.patch">
+<!ENTITY coreutils-suppress-patch-md5 "227d41a6d0f13c31375153eae91e913d">
 <!ENTITY coreutils-suppress-patch-size "13 KB">
 
 <!ENTITY expect-spawn-patch "expect-&expect-version;-spawn-2.patch">
+<!ENTITY expect-spawn-patch-md5 "7706e1e8238c72eed8dc905d6f3b6aa9">
 <!ENTITY expect-spawn-patch-size "6.9 KB">
 
 <!ENTITY gawk-segfault-patch "gawk-&gawk-version;-segfault_fix-1.patch">
+<!ENTITY gawk-segfault-patch-md5 "7679530d88bf3eb56c42eb6aba342ddb">
 <!ENTITY gawk-segfault-patch-size "1.3 KB">
 
 <!ENTITY gcc-cross_search-patch "gcc-&gcc-version;-cross_search_paths-1.patch">
+<!ENTITY gcc-cross_search-patch-md5 "541fe39d228ddaa0d8396a35ec3a0ada">
 <!ENTITY gcc-cross_search-patch-size "2 KB">
 
 <!ENTITY gcc-PR20425-patch "gcc-&gcc-version;-PR20425-1.patch">
+<!ENTITY gcc-PR20425-patch-md5 "5df80821f6b4ee951aa8cacbef5a67ac">
 <!ENTITY gcc-PR20425-patch-size "37 KB">
 
 <!ENTITY gcc-PR26763-patch "gcc-&gcc-version;-PR26763-1.patch">
+<!ENTITY gcc-PR26763-patch-md5 "289a91a2208ace86401371419d855f4e">
 <!ENTITY gcc-PR26763-patch-size "2 KB">
 
 <!ENTITY gcc-posix-patch "gcc-&gcc-version;-posix-1.patch">
+<!ENTITY gcc-posix-patch-md5 "0d88068740a0e00780891f2cb905b808">
 <!ENTITY gcc-posix-patch-size "9 KB">
 
 <!ENTITY gcc-specs-patch "gcc-&gcc-version;-specs-1.patch">
+<!ENTITY gcc-specs-patch-md5 "a17be8ccfb978e73f382be5093dd8abd">
 <!ENTITY gcc-specs-patch-size "15 KB">
 
 <!ENTITY glibc-libgcc_eh-patch "glibc-&glibc-version;-libgcc_eh-1.patch">
+<!ENTITY glibc-libgcc_eh-patch-md5 "e5122ea7b89a5f22615eaadf8e46b334">
 <!ENTITY glibc-libgcc_eh-patch-size "1 KB">
 
 <!ENTITY glibc-localedef_segfault-patch "glibc-&glibc-version;-localedef_segfault-1.patch">
+<!ENTITY glibc-localedef_segfault-patch-md5 "42452abc6196789e0a83afa1ca7e6e4e">
 <!ENTITY glibc-localedef_segfault-patch-size "1.9 KB">
 
 <!ENTITY gzip-security_fix-patch "gzip-&gzip-version;-security_fixes-1.patch">
+<!ENTITY gzip-security_fix-patch-md5 "f107844f01fc49446654ae4a8f8a0728">
 <!ENTITY gzip-security_fix-patch-size "2 KB">
 
+<!ENTITY inetutils-gcc4_fixes-patch "inetutils-&inetutils-version;-gcc4_fixes-3.patch">
+<!ENTITY inetutils-gcc4_fixes-patch-md5 "5204fbc503c9fb6a8e353583818db6b9">
+<!ENTITY inetutils-gcc4_fixes-patch-size "4.1 KB">
+
 <!ENTITY inetutils-man_pages-patch "inetutils-&inetutils-version;-no_server_man_pages-1.patch">
+<!ENTITY inetutils-man_pages-patch-md5 "eb477f532bc6d26e7025fcfc4452511d">
 <!ENTITY inetutils-man_pages-patch-size "1.3 KB">
 
-<!ENTITY inetutils-gcc4_fixes-patch "inetutils-&inetutils-version;-gcc4_fixes-3.patch">
-<!ENTITY inetutils-gcc4_fixes-patch-size "4.1 KB">
-
 <!ENTITY kbd-gcc4_fixes-patch "kbd-&kbd-version;-gcc4_fixes-1.patch">
+<!ENTITY kbd-gcc4_fixes-patch-md5 "615bc1e381ab646f04d8045751ed1f69">
 <!ENTITY kbd-gcc4_fixes-patch-size "1.5 KB">
 
 <!ENTITY mktemp-tempfile-patch "mktemp-&mktemp-version;-add_tempfile-3.patch">
+<!ENTITY mktemp-tempfile-patch-md5 "65d73faabe3f637ad79853b460d30a19">
 <!ENTITY mktemp-tempfile-patch-size "3.6 KB">
 
 <!ENTITY perl-libc-patch "perl-&perl-version;-libc-1.patch">
+<!ENTITY perl-libc-patch-md5 "80a0672509d5abb1f2e95e8d4ebfe65a">
 <!ENTITY perl-libc-patch-size "1.1 KB">
 
 <!ENTITY readline-fixes-patch "readline-&readline-version;-fixes-3.patch">
+<!ENTITY readline-fixes-patch-md5 "e30963cd5c6f6a11a23344af36cfa38c">
 <!ENTITY readline-fixes-patch-size "2.1 KB">
 
 <!ENTITY sysklogd-fixes-patch "sysklogd-&sysklogd-version;-fixes-1.patch">
+<!ENTITY sysklogd-fixes-patch-md5 "508104f058d1aef26b3bc8059821935f">
 <!ENTITY sysklogd-fixes-patch-size "28 KB">
 
 <!ENTITY tar-gcc4_fix-patch "tar-&tar-version;-gcc4_fix_tests-1.patch">
+<!ENTITY tar-gcc4_fix-patch-md5 "8e286a1394e6bcf2907f13801770a72a">
 <!ENTITY tar-gcc4_fix-patch-size "1.2 KB">
 
 <!ENTITY tar-security_fixes-patch "tar-&tar-version;-security_fixes-1.patch">
+<!ENTITY tar-security_fixes-patch-md5 "19876e726d9cec9ce1508e3af74dc22e">
 <!ENTITY tar-security_fixes-patch-size "3.9 KB">
 
 <!ENTITY tar-sparse_fix-patch "tar-&tar-version;-sparse_fix-1.patch">
+<!ENTITY tar-sparse_fix-patch-md5 "9e3623f7c88d8766878ecb27c980d86a">
 <!ENTITY tar-sparse_fix-patch-size "1 KB">
 
 <!ENTITY texinfo-tempfile_fix-patch "texinfo-&texinfo-version;-tempfile_fix-2.patch">
+<!ENTITY texinfo-tempfile_fix-patch-md5 "559bda136a2ac7777ecb67511227af85">
 <!ENTITY texinfo-tempfile_fix-patch-size "2.2 KB">
 
 <!ENTITY util-linux-cramfs-patch "util-linux-&util-linux-version;-cramfs-1.patch">
+<!ENTITY util-linux-cramfs-patch-md5 "1c3f40b30e12738eb7b66a35b7374572">
 <!ENTITY util-linux-cramfs-patch-size "2.8 KB">
 
 <!ENTITY util-linux-gcc4_fixes-patch "util-linux-&util-linux-version;-gcc4_fixes-1.patch">
+<!ENTITY util-linux-gcc4_fixes-patch-md5 "6c030921dc9b92daf688f12a4ee6f6e0">
 <!ENTITY util-linux-gcc4_fixes-patch-size "1 KB">
 
 <!ENTITY vim-fixes-patch "vim-&vim-version;-fixes-2.patch">
+<!ENTITY vim-fixes-patch-md5 "df4e093ad5cde6b20c4a3712fd2e16ac">
 <!ENTITY vim-fixes-patch-size "17 KB">
 
 <!ENTITY zlib-fpic-patch "zlib-&zlib-version;-fPIC-1.patch">
+<!ENTITY zlib-fpic-patch-md5 "545d60b20bfde6f53023de44438cef59">
 <!ENTITY zlib-fpic-patch-size "3.2 KB">
 
@@ -101,10 +132,13 @@
 
 <!ENTITY binutils-multilib-patch "binutils-&binutils-version;-genscripts_multilib-1.patch">
+<!ENTITY binutils-multilib-patch-md5 "b1d8d22ab473212abf1b19978415775b">
 <!ENTITY binutils-multilib-patch-size "2.6 KB">
 
 <!ENTITY perl-multilib-patch "perl-&perl-version;-Configure_multilib-1.patch">
+<!ENTITY perl-multilib-patch-md5 "1f79780e26bc3493f7891e12841c38ed">
 <!ENTITY perl-multilib-patch-size "1.4 KB">
 
 <!ENTITY perl-lib64-patch "perl-&perl-version;-libc_lib64-1.patch">
+<!ENTITY perl-lib64-patch-md5 "c503928cad589ba5211c0b3f999a37bd">
 <!ENTITY perl-lib64-patch-size "1 KB">
 
@@ -112,7 +146,9 @@
 
 <!ENTITY gcc-specs_pure64-patch "gcc-&gcc-version;-pure64_specs-1.patch">
+<!ENTITY gcc-specs_pure64-patch-md5 "99e0ae890fce0614be210e83f0a5b975">
 <!ENTITY gcc-specs_pure64-patch-size "6.4 KB">
 
 <!ENTITY gcc-pure64-patch "gcc-&gcc-version;-pure64-1.patch">
+<!ENTITY gcc-pure64-patch-md5 "cea9bf46663392d627de81e2456698e3">
 <!ENTITY gcc-pure64-patch-size "15 KB">
 
@@ -120,4 +156,5 @@
 
 <!ENTITY aboot-alpha-patch "aboot-&aboot-version;-kernel26_gcc4_fixes-2.patch">
+<!ENTITY aboot-alpha-patch-md5 "a3d87db49dcaa343957998a717c51bf3">
 <!ENTITY aboot-alpha-patch-size "45 KB">
 
@@ -125,31 +162,41 @@
 
 <!ENTITY colo-make-patch "colo-&colo-version;-make_fix-1.patch">
+<!ENTITY colo-make-patch-md5 "b89575a0e385b5366b19a6b5f176d49b">
 <!ENTITY colo-make-patch-size "2.7 KB">
 
 <!ENTITY dvhtool-fixes-patch "dvhtool-&dvhtool-version;-fixes-1.patch">
+<!ENTITY dvhtool-fixes-patch-md5 "a521b380354b6a0c96b2d6308372749d">
 <!ENTITY dvhtool-fixes-patch-size "6.2 KB">
 
 <!ENTITY expect-mips_update-patch "expect-&expect-version;-mips_config_update-1.patch">
+<!ENTITY expect-mips_update-patch-md5 "eb8989a8baf11e0f02efbdf7e6843fc1">
 <!ENTITY expect-mips_update-patch-size "51 KB">
 
 <!ENTITY file-mips_update-patch "file-&file-version;-mips_config_update-1.patch">
+<!ENTITY file-mips_update-patch-md5 "aee7ed8aa5cf781ae8c58d04194ce45a">
 <!ENTITY file-mips_update-patch-size "33 KB">
 
 <!ENTITY glibc-mips-patch "glibc-&glibc-version;-mips_fixes-1.patch">
+<!ENTITY glibc-mips-patch-md5 "d1b48de82f31118da51bea1d9c3c7c2c">
 <!ENTITY glibc-mips-patch-size "1 KB">
 
 <!ENTITY grep-mips_update-patch "grep-&grep-version;-mips_config_update-1.patch">
+<!ENTITY grep-mips_update-patch-md5 "085690e21bf2c8c27aca987f73389c90">
 <!ENTITY grep-mips_update-patch-size "48 KB">
 
 <!ENTITY linux-mips-patch "linux-&linux-version;-mips-1.patch">
+<!ENTITY linux-mips-patch-md5 "adb1ed81a6dfe2430fda4fb46806cf8a">
 <!ENTITY linux-mips-patch-size "864 KB">
 
 <!ENTITY mktemp-mips_update-patch "mktemp-&mktemp-version;-mips_config_update-1.patch">
+<!ENTITY mktemp-mips_update-patch-md5 "2eab6432dbf4d4447b85435363c6a557">
 <!ENTITY mktemp-mips_update-patch-size "56 KB">
 
 <!ENTITY module-init-tools-mips_update-patch "module-init-tools-&module-init-tools-version;-mips_config_update-1.patch">
+<!ENTITY module-init-tools-mips_update-patch-md5 "bdc816dd354e254f8053751286903f1c">
 <!ENTITY module-init-tools-mips_update-patch-size "33 KB">
 
 <!ENTITY util-linux-mips64-patch "util-linux-&util-linux-version;-mips64_fix-1.patch">
+<!ENTITY util-linux-mips64-patch-md5 "20fb9ad811661059cf3b11ccdf391f5a">
 <!ENTITY util-linux-mips64-patch-size "1 KB">
 
@@ -157,13 +204,17 @@
 
 <!ENTITY powerpcutils-patch "powerpc-utils_&powerpcutils-version;-fixes-1.patch">
+<!ENTITY powerpcutils-patch-md5 "0cf00038191e3bb1968457e4d273e480">
 <!ENTITY powerpcutils-patch-size "21 KB">
 
 <!ENTITY powerpcutils64-patch "powerpc-utils_&powerpcutils-version;-fixes-2.patch">
+<!ENTITY powerpcutils64-patch-md5 "d2776b1a4977c5711037b8f1402f792a">
 <!ENTITY powerpcutils64-patch-size "24 KB">
 
 <!ENTITY yaboot-fix-patch "yaboot-&yaboot-version;-fix-1.patch">
+<!ENTITY yaboot-fix-patch-md5 "2848f7b2a01469f9e302a8890f4daafd">
 <!ENTITY yaboot-fix-patch-size "1 KB">
 
 <!ENTITY yaboot-sata-patch "yaboot-&yaboot-version;-ofpath_sata-1.patch">
+<!ENTITY yaboot-sata-patch-md5 "bdc55ca22b1cfc774a7b2db732524eb6">
 <!ENTITY yaboot-sata-patch-size "1 KB">
 
@@ -171,13 +222,17 @@
 
 <!ENTITY elftoaout-fixes-patch "elftoaout-&elftoaout-version;-64bit_fixes-1.patch">
+<!ENTITY elftoaout-fixes-patch-md5 "485e77cf2ed082d3d0ea99c703f1f14b">
 <!ENTITY elftoaout-fixes-patch-size "6.7 KB">
 
 <!ENTITY gcc-sparc_tls-patch "gcc-&gcc-version;-sparc_tls-1.patch">
+<!ENTITY gcc-sparc_tls-patch-md5 "f7bae419ce2cddb1d4918eff4eb582e3">
 <!ENTITY gcc-sparc_tls-patch-size "1 KB">
 
 <!ENTITY kbd-sparc_kbdrate-patch "kbd-&kbd-version;-sparc_kbdrate-1.patch">
+<!ENTITY kbd-sparc_kbdrate-patch-md5 "6cffbcd3a8cb415fd0bf851d0f2a3a0f">
 <!ENTITY kbd-sparc_kbdrate-patch-size "1 KB">
 
 <!ENTITY silo-fixes-patch "silo-&silo-version;-fixes-1.patch">
+<!ENTITY silo-fixes-patch-md5 "cc864b6a80d53604ea0281fb99a8cfb9">
 <!ENTITY silo-fixes-patch-size "657 KB">
 
@@ -185,9 +240,12 @@
 
 <!ENTITY bin86-x86_64-patch "bin86-&bin86-version;-x86_64-1.patch">
+<!ENTITY bin86-x86_64-patch-md5 "92bdce7b0655cd2e9f83c83fc56d128e">
 <!ENTITY bin86-x86_64-patch-size "2 KB">
 
 <!ENTITY coreutils-x86_uname-patch "coreutils-&coreutils-version;-uname-1.patch">
+<!ENTITY coreutils-x86_uname-patch-md5 "c05b735710fbd62239588c07084852a0">
 <!ENTITY coreutils-x86_uname-patch-size "4.5 KB">
 
 <!ENTITY lilo-cross-x86_64-patch "lilo-&lilo-version;-cross_compile_x86_64-1.patch">
+<!ENTITY lilo-cross-x86_64-patch-md5 "00487cebd84e9958dddb3adf357babeb">
 <!ENTITY lilo-cross-x86_64-patch-size "1 KB">
